
Foreman - Bug #1683

EC2: When a compute resource is removed the hosts become broken

06/13/2012 04:14 PM - Ashley Penney

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Compute resources   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you remove a compute resource before removing the hosts they become broken:

Failed to destroy a compute instance ec2-apenney01.sys.perimeterusa.com: undefined method `destroy_vm' for nil:NilClass

undefined method `capabilities' for nil:NilClass when you attempt to edit one.

Associated revisions

Revision ad824a4d - 06/14/2012 10:16 AM - Ohad Levy

ensure that you can't delete a compute resource while its used - fixes #1683

History

#1 - 06/14/2012 10:16 AM - Ohad Levy

- Category set to Compute resources

- Assignee set to Ohad Levy

- Target version set to 1.0

#2 - 06/14/2012 10:18 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset ad824a4d58edc10448801d00e18a11c60142fcb7.
